E-MailRelay

Public Member Functions | List of all members
GSsl::MbedTls::Context Class Reference

Holds a mbedtls_ssl_context structure. More...

`#include <gssl_mbedtls.h>`

## Public Member Functions
| Context (const mbedtls_ssl_config *)
mbedtls_ssl_context * | ptr ()
mbedtls_ssl_context * | ptr () const
| Context (const Context &)=delete
| Context (Context &&)=delete
Context & | operator= (const Context &)=delete
Context & | operator= (Context &&)=delete

## Detailed Description

Holds a mbedtls_ssl_context structure.

Definition at line 123 of file gssl_mbedtls.h.

## Constructor & Destructor Documentation

## ◆ Context()

GSsl::MbedTls::Context::Context | ( | const mbedtls_ssl_config * | config_p | ) |
| explicit

Definition at line 830 of file gssl_mbedtls.cpp.

## ◆ ~Context()

GSsl::MbedTls::Context::~Context | ( |  | ) |

Definition at line 839 of file gssl_mbedtls.cpp.

## Member Function Documentation

## ◆ ptr() [1/2]

mbedtls_ssl_context * GSsl::MbedTls::Context::ptr | ( |  | ) |

Definition at line 844 of file gssl_mbedtls.cpp.

## ◆ ptr() [2/2]

mbedtls_ssl_context * GSsl::MbedTls::Context::ptr | ( |  | ) | const

Definition at line 849 of file gssl_mbedtls.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls.cpp